/**
 * JS Document. 
 * @author Sandro Jordão.
 */
function setCookie(c_name, value, exdays)
{
	var exdate = new Date();
	exdate.setDate(exdate.getDate() + exdays);
	var c_value = escape(value) + ((exdays==null) ? '' : '; expires='+exdate.toUTCString());
	document.cookie = c_name + '=' + c_value;
}

function getCookie(c_name)
{
	var i, x, y, ARRcookies = document.cookie.split(';');
  
	for (i=0; i < ARRcookies.length; i++)
	{
		x = ARRcookies[i].substr(0,ARRcookies[i].indexOf('='));
		y = ARRcookies[i].substr(ARRcookies[i].indexOf('=')+1);
		x = x.replace(/^\s+|\s+$/g,'');
  
		if (x == c_name)
		{
			return unescape(y);
		}
	}
}

function sair()
{
	jConfirm("Deseja realmente sair do sistema?", 'Confirmação!', 
		function(r) {
			if (r == true)
				window.location.href = basepath + 'principal';
			else
				return false;
		});
}

function listarMenu()
{
	if ($('#listaMenu').is(':visible')) 
		$('#listaMenu').fadeOut(100); 
	else
		$('#listaMenu').fadeIn(50);
	
	// ???	
	$("*").click(function(e){ if(!$(e.target).closest('.userLogado').length) $('#listaMenu').fadeOut(100); }); 
}

function mostrarDropDown()
{
	$('#listaMenu').slideUp('fast');
}

function verificaUrl(url)
{
	var url2 = window.location;
	var urlString = url2.toString();
	var urlArray = urlString.split("/");
	
	if(urlArray[urlArray.length - 1] == 'criar' && $("#nome").val() != "")
	{
		if(url != 'criar') {
			jConfirm("Deseja realmente sair do \'<em>Criar relatório</em>\'?", 'Confirmação!', 
				function(r) {
					if (r == true)
						window.location.href = basepath + 'principal/' + url;
					else
						return false;
				});
		} else {
			return false;
		}
	}
	else
	{
		window.location.href = basepath + 'principal/' + url;
	}
}

function verificarLogado()
{
	$.post(basepath + "principal/verificarLogado", 
		function(data){
			if(data != 0) 
			{			
				window.location.href = basepath + 'principal/' + data; 
				return false;
			}
		});
}

function checarSegurancaModal() 
{
	var senha = $("#txtSenhaModal").val();

	var forca = 0;
	
	$("#segurancaModal").html('');
	
	$('#txtSenhaModal').next('.msgErro').remove();
	
	if($.trim(senha) != '')
	{
		if ((senha.length >= 5) && (senha.length <= 7)) 
		{
			forca += 10;
		} 
		else if (senha.length > 7)
		{
			forca += 15;
		}
		
		if (senha.match(/[a-z]+/))
		{
			forca += 10;
		}
		
		if (senha.match(/[A-Z]+/)) 
		{
			forca += 20;
		}
		
		if (senha.match (/[0-9]+/))
		{
			forca += 20;
		}
		
		if (senha.match(/\W+/)) 
		{
			forca += 25;
		}
		
		if (forca < 30)
		{
			var html = "<span class='msgErro' style='color: #666;'>A Segurança de sua senha é: <font color='#A04040'><b>MUITO BAIXA</b></font></span>";
			$("#segurancaModal").html(html);
		}
		else if (forca >= 30 && forca < 60)
		{
			var html = "<span class='msgErro' style='color: #666;'>A Segurança de sua senha é: <font color='#FF5F55'><b>BAIXA</b></font></span>";
			$("#segurancaModal").html(html);
		}
		else if(forca >= 60 && forca < 90)
		{
			var html = "<span class='msgErro' style='color: #666;'>A Segurança de sua senha é: <font color='#7F7FFF'><b>BOM</b></font></span>";
			$("#segurancaModal").html(html);
		}
		else
		{
			var html = "<span class='msgErro' style='color: #666;'>A Segurança de sua senha é: <font color='#99C55D'><b>EXCELENTE</b></font></span>";
			$("#segurancaModal").html(html);
		}
	}
	else
	{
		return false;
	}
}

function modalSenha()
{
	$.post(basepath + 'principal/verificarLogado', 
		function(logado) {
			if(logado == 0)
			{
				var pageWidth = $(document).width();
				var pageHeight = $(document).height();
				
				$.post(basepath + "principal/modalSenha", 
					function(data){
				
						$("#janela_modal").html('');
						$("#overlay").html('');
						
						var overlay = '<div id="overlay"></div>';
						var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px','z-index' : '99999998'};
						
						var janela = '<div id="janela_modal"></div>';
						var janelaCSS = {'top' : '50%','left' : '50%','width' : '380px','height' : '260px','margin-left' : '-205px','margin-top' : '-240px','z-index' : '99999999'};
						
						var btnFechar = '<a onClick="fecharModalSenha()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
						var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '163px','margin-top' : '-135px'}
						
						$("body").append(overlay);
						$("body").append(janela);
						$("#overlay").css(overlayCSS).fadeIn('fast', function(){
							
							$("#janela_modal").append(data);
							
							$("#janela_modal").append(btnFechar);
							$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
							
							$("#janela_modal").css(janelaCSS).fadeIn("slow");
						});
						
						return false;
				});
			}
			else
			{
				window.location.href = basepath + 'principal/' + logado;
			}
		});
}

function alterarSenha()
{
	var UsuarioID 	= $("#txtUsuarioID").val();
	var SenhaAntiga = $("#txtSenhaAntiga").val();
	var Senha 		= $("#txtSenhaModal").val();
	var Repetir 	= $("#txtRepetirSenhaModal").val();

	$('.msgErro').remove();

	var erro = 0;

	if(SenhaAntiga == '')
	{
		$('#txtSenhaAntiga').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
		erro++;
	}

	if(Senha == '')
	{
		$('#txtSenhaModal').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
		erro++;
	}

	if(Senha != '' || Repetir != '')
	{
		if (Senha != Repetir)
		{
			$('#txtRepetirSenhaModal').after("<span class='msgErro'>As senhas são diferentes.</span>");
			erro++;
		}
	}

	if (erro == 0)
	{
		$.post(basepath + "principal/alterarSenhaBD", {
			UsuarioID : UsuarioID,
			SenhaAntiga : SenhaAntiga,
			Senha : Senha
		}, function(data){
			if(data == 1)
			{
				jAlert('Senha alterada com sucesso!', 'Alerta!', function() { fecharModalSenha(); });
			}
			else if(data == 2)
			{
				jAlert('Senha atual inválida!', 'Alerta!', function() { $('#txtSenhaAntiga').after("<span class='msgErro'>Senha atual inválida!</span>") });
			}
			else
			{
				jAlert('Ocorreu um erro:\n ' + data, 'Alerta!');
			}
		});
	}
	else
	{
		jAlert('Favor preencher todos os campos corretamente.', 'Alerta!');
	}
}

function modalSobre()
{
	var pageWidth = $(window).width();
	var pageHeight = $(window).height();
	
	$.post(basepath + "principal/modalSobre", 
		function(data){
	
			$("#janela_modal").html('');
			$("#overlay").html('');
			
			var overlay = '<div id="overlay"></div>';
			var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px','z-index' : '99999998'};
			
			var janela = '<div id="janela_modal"></div>';
			var janelaCSS = {'top' : '50%','left' : '50%','width' : '380px','height' : '260px','margin-left' : '-205px','margin-top' : '-240px','z-index' : '99999999'};
			
			var btnFechar = '<a onClick="fecharModalSobre()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
			var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '163px','margin-top' : '-135px'}
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay").css(overlayCSS).fadeIn('fast', function(){
				
				$("#janela_modal").append(data);
				
				$("#janela_modal").append(btnFechar);
				$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
				
				$("#janela_modal").css(janelaCSS).fadeIn("slow");
			});
			
			return false;
	});
}

function fecharModalSobre() 
{
    $("#janela_modal").fadeOut();
    $("#overlay").fadeOut();
}

function fecharModalSenha() 
{
    $("#janela_modal").fadeOut(400, 
		function(){ 
			$("#janela_modal").remove(); 
		});
    
	$("#overlay").fadeOut(400,
		function(){
			$("#overlay").remove();
		});
}

function init()
{
	$("#toggleUp").click(function(){ 
		$("#toggleUp").hide(); 
		
		$("#abaReportsList, #listReports").animate({ top : '-=100' }, 600 );
		$(".scrollPersonalizado").animate({ height : '+=110' }, 600 );

		$("#divToggle").slideUp('slow', 
			function(){ 
				$("#toggleDown").fadeIn('fast'); 
			}); 
		});
	
	$("#toggleDown").click(function(){ 
		$("#toggleDown").hide(); 
		
		$("#abaReportsList, #listReports").animate({ top : '+=100' }, 600 );
		$(".scrollPersonalizado").animate({ height : '-=110' }, 600 );
		
		$("#divToggle").slideDown('slow', 
			function(){ 
				$("#toggleUp").fadeIn('fast'); 
			}); 
		});
	
	// Configuração tamanho dashboard
	var heigth = $(window).height();
	if(heigth < 480) heigth = 480;
	$("#contentDashboard").css("height", heigth - 100);
	$(".contentRight").css("height", heigth - 140);
	$(".abaContent").css("height", heigth - 240);

	// Montando o menu ativo
	var url = window.location;
	var urlString = url.toString();
	var urlArray = urlString.split("/");

	$('.menuTopo a').each(function() { 
		var valor = $(this).attr("value");
		if(urlArray[urlArray.length - 1] == valor)
			$(this).addClass('menuAtivo');
	});
	
	var path = window.location.pathname;
	$('#menuContentLeft a').each(function() {
		if(path == $(this).attr("href")) {
			$(this).css({'color' : '#4084b8', 'font-weight' : 'bold', 'font-style' : 'italic'});
		}
	});
}

$(document).ready(init);